clang-tools 10.0.0

Classes | Namespaces
SymbolCollector.h File Reference
`#include "CanonicalIncludes.h"`
`#include "CollectMacros.h"`
`#include "Index.h"`
`#include "SymbolOrigin.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Index/IndexDataConsumer.h"`
`#include "clang/Index/IndexSymbol.h"`
`#include "clang/Sema/CodeCompleteConsumer.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/Support/Regex.h"`
`#include <functional>`
Include dependency graph for SymbolCollector.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::SymbolCollector
| Collect declarations (symbols) from an AST. More...
struct | clang::clangd::SymbolCollector::Options

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd